/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;

import com.google.gwt.user.client.ui.FocusPanel;

/**
 * This class is used to store the index of column and row for a focus panel
 * 
 * @author Jean-Yves Goubet
 *
 */
public class IndexFocusPanel extends FocusPanel {
  
  // the colulmn index
  protected int columnIndex;
  
  // the row index
  protected int rowIndex;
  
  
  /**
   * Constructor of the class
   * 
   * @author Jean-Yves Goubet
   * @param data : the index depending on the type parameter
   * @param type : the type of data : row or column index
   * 
   */
  public IndexFocusPanel(int data,boolean type) {
    super();
    if (type) {
      this.columnIndex = data;
      this.rowIndex = -1;
    } else {
      this.rowIndex = data;
      this.columnIndex = -1;
    }
  }
  
  
  /**
   * Getter of the columnIndex parameter
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of columnIndex
   * 
   */
  protected int getColumnIndex() {
    return columnIndex;
  }
  
  
  /**
   * Getter of the rowIndex parameter
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of rowIndex
   * 
   */
  protected int getRowIndex() {
    return rowIndex;
  }
}
