/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.DeployProcess;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FileUpload;
import com.google.gwt.user.client.ui.FlowPanel;
import com.google.gwt.user.client.ui.FormPanel;
import com.google.gwt.user.client.ui.Widget;


/**
 * View of the process deploy class
 * 
 * @author Mathieu Crassin
 *
 */
public class VDeployProcess extends Composite implements VDeployProcessIF {

  @UiTemplate ("VDeployProcess.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VDeployProcess> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField FormPanel      formpanel;
  @UiField FlowPanel      contentpanel;
  @UiField FileUpload     fileupload;
  @UiField Button         upload_button;

  /**
   * Constructor of the view.
   * 
   * @author Mathieu Crassin
   *
   */
  public VDeployProcess() {
    //
    this.initWidget(VDeployProcess.uiBinder.createAndBindUi(this));
    //
    this.initView();
  }

  
  /**
   * Parameterize the different widgets of the view.
   * 
   * @author Mathieu Crassin
   *
   */
  private void initView() {
    // upload field
    this.fileupload.setName("upload");
    // manage form panel
    this.formpanel.setEncoding(FormPanel.ENCODING_MULTIPART);
    this.formpanel.setMethod(FormPanel.METHOD_POST);
    this.formpanel.setAction(GWT.getModuleBaseURL() + "DeployBar");
    this.formpanel.setVisible(true);
  }

  
  /**
   * Getter of the formpanel parameter
   * 
   * @author Mathieu Crassin
   *
   */
  public final FormPanel getFormPanel() {
    return this.formpanel;
  }
  
  
  /**
   * Getter of the contentpanel parameter
   * 
   * @author Mathieu Crassin
   *
   */
  public final FlowPanel getFlowPanel() {
    return this.contentpanel;
  }
  
  
  /**
   * Getter of thf fileupload parameter
   * 
   * @author Mathieu Crassin
   *
   */
  public final FileUpload getFileUpload() {
    return this.fileupload;
  }
  
  
  /**
   * Getter of the upload_button parameter
   * 
   * @author Mathieu Crassin
   *
   */
  public final Button getUploadButton() {
    return this.upload_button;
  }
}


