/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Finder;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.FocusPanel;
import com.google.gwt.user.client.ui.SplitLayoutPanel;
import com.google.gwt.user.client.ui.Widget;

import org.ow2.orchestra.console.GWTConsole.client.Commons.FinderGrid;


/**
 * View of the Finder
 * 
 * @author Jean-Yves Goubet
 *
 */
public class VFinder extends Composite implements VFinderIF {
  
  @UiTemplate ("VFinder.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VFinder> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);
  
  @UiField FinderGrid             serverGrid;
  @UiField FinderGrid             processGrid;
  @UiField FinderGrid             instanceGrid;
  @UiField FinderGrid             activityGrid;
  @UiField FocusPanel             focusPanel;
  @UiField SplitLayoutPanel       splitLayoutPanel;
  
  public VFinder() {
    //
    this.initWidget(VFinder.uiBinder.createAndBindUi(this));
  }

  /**
   * Getter of the server grid
   * 
   * @author Jean-Yves Goubet
   * @return FinderGrid : the serverGrid value
   * 
   */
  public FinderGrid getServerGrid() {
    return serverGrid;
  }
  
  
  /**
   * Getter of the process grid
   * 
   * @author Jean-Yves Goubet
   * @return FinderGrid : the processGrid value
   * 
   */
  public FinderGrid getProcessGrid() {
    return processGrid;
  }

  
  /**
   * Getter of the instance grid
   * 
   * @author Jean-Yves Goubet
   * @return FinderGrid : the instanceGrid value
   */
  public FinderGrid getInstanceGrid() {
    return instanceGrid;
  }

  
  /**
   * Getter of the activity grid
   * 
   * @author Jean-Yves Goubet
   * @return FinderGrid : the activityGrid value
   * 
   */
  public FinderGrid getActivityGrid() {
    return activityGrid;
  }
  
  
  /**
   * Getter of the focus panel
   * 
   * @author Jean-Yves Goubet
   * @return FocusPanel : the focusPanel value
   * 
   */
  public FocusPanel getFocusPanel() {
    return focusPanel;
  }
  
  
  /**
   * Getter of the split layout panel
   * 
   * @author Jean-Yves Goubet
   * @return SplitLayoutPanel : the splitLayoutPanel value
   * 
   */
  public SplitLayoutPanel getSplitLayoutPanel() {
    return splitLayoutPanel;
  }
}
