/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.FinderPopup;

import org.ow2.orchestra.console.GWTConsole.client.Commons.PresenterIF;


/**
 * Presenter of the finder popup
 * 
 * @author Jean-Yves Goubet
 *
 */
public class PFinderPopup extends PresenterIF {

  // View of the finder popup
  private VFinderPopupIF vFinderPopupIF = null;

  
  /**
   * Constructor of the class
   * 
   * @author Jean-Yves Goubet
   * 
   */
  public PFinderPopup() {
    //
    VFinderPopupIF view = new VFinderPopup();
    this.bindingView(view);
  }
  
  
  /**
   * Method to get the view binded to the presenter from other classes
   * 
   * @author Jean-Yves Goubet
   * @return VFinderPopup : the view of the presenter
   * 
   */
  public VFinderPopup getView() {
    return (VFinderPopup) this.vFinderPopupIF;
  }
  
  
  /**
   * Method to bind the view with its presenter
   * 
   * @author Jean-Yves Goubet
   * 
   */
  protected void bindingView(Object view) {
    this.vFinderPopupIF  = (VFinderPopupIF) view;
  }

  protected void addListeners() {
  }
  
  public void destroy() {
  }

  protected void setDebugID() {
  }

}
