/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListInstance;


import com.google.gwt.user.client.rpc.IsSerializable;

import java.util.Date;

/**
 * model class used to store information of an instance
 * 
 * @author Jean-Yves Goubet
 */
public final class MInstance implements IsSerializable {

  private String instanceId;
  private String processId;
  private String processName;
  private String instanceState;
  private Date instanceStartDate;
  private Date instanceLastUpdateDate;
  
  public String getInstanceId() {
    return instanceId;
  }
  
  public String getProcessId() {
    return processId;
  }
  
  public String getInstanceState() {
    return instanceState;
  }

  public Date getInstanceStartDate() {
    return instanceStartDate;
  }
  
  public Date getInstanceLastUpdateDate() {
    return instanceLastUpdateDate;
  }
  
  public String getProcessName() {
    return processName;
  }
  
  public MInstance(String instanceId, String processId, String processName, String instanceState, Date instanceStartDate,
      Date instanceLastUpdateDate) {
    this.instanceId = instanceId;
    this.processId = processId;
    this.processName = processName;
    this.instanceState = instanceState;
    this.instanceStartDate = instanceStartDate;
    this.instanceLastUpdateDate = instanceLastUpdateDate;
  }
  
  public MInstance() {
    this.instanceId = null;
    this.processId = null;
    this.processName = null;
    this.instanceState = null;
    this.instanceStartDate = null;
    this.instanceLastUpdateDate = null;
  }
}
