/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Resources;


import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;

/**
 * Resources used by the entire application 
 */
public interface ImageResources extends ClientBundle {

  ImageResources INSTANCE = GWT.create(ImageResources.class);

  ImageResource instancesIcon();
  
  ImageResource instancesIconDisabled();
  
  ImageResource undeployIcon();
  
  ImageResource undeployIconDisabled();

  ImageResource deleteIcon();

  ImageResource deleteIconDisabled();

  ImageResource sortOrderIconTrue();
  
  ImageResource sortOrderIconFalse();

  ImageResource error();
  
  ImageResource info();
  
  ImageResource orchestraBanner();
  
  ImageResource close();
  
  ImageResource closeOver();
  
  ImageResource activities();
  
  ImageResource activitiesDisabled();
  
  // instance actions s
  ImageResource suspend();
  ImageResource resume();
  ImageResource exit();
  ImageResource suspendDisabled();
  ImageResource resumeDisabled();
  ImageResource exitDisabled();
}
